Skip to main content
`Ctrl`+`K`

# PetscFECreateDefault

Create a `PetscFE` for basic FEM computation

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFECreateDefault(MPI_Comm comm, PetscInt dim, PetscInt Nc, PetscBool isSimplex, const char prefix[], PetscInt qorder, PetscFE *fem)

Collective

## Input Parameters

- comm - The MPI comm

- dim - The spatial dimension

- Nc - The number of components

- isSimplex - Flag for simplex reference cell, otherwise its a tensor product

- prefix - The options prefix, or `NULL`

- qorder - The quadrature order or `PETSC_DETERMINE` to use `PetscSpace` polynomial degree

## Output Parameter

- fem - The `PetscFE` object

## Note

Each subobject is SetFromOption() during creation, so that the object may be customized from the command line, using the prefix specified above. See the links below for the particular options available.

## See Also

`PetscFECreateLagrange()`, `PetscFECreateByCell()`, `PetscSpaceSetFromOptions()`, `PetscDualSpaceSetFromOptions()`, `PetscFESetFromOptions()`, `PetscFECreate()`, `PetscSpaceCreate()`, `PetscDualSpaceCreate()`

## Level

beginner

## Location

src/dm/dt/fe/interface/fe.c

## Examples

src/snes/tutorials/ex13.c
src/snes/tutorials/ex64.c
src/dm/impls/plex/tutorials/ex8.c
src/dm/impls/plex/tutorials/ex4f90.F90
src/snes/tutorials/ex12.c
src/snes/tutorials/ex20.c
src/snes/tutorials/ex23.c
src/snes/tutorials/ex63.c
src/dm/field/tutorials/ex1.c
src/dm/dt/dualspace/impls/lagrange/tutorials/ex2.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages